﻿@inject Microsoft.ApplicationInsights.AspNetCore.JavaScriptSnippet JavaScriptSnippet
<!DOCTYPE html>
<html lang="hr_HR" xml:lang="hr_HR">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"]</title>

    <environment names="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" href="~/css/site.css" />
    </environment>
    <environment names="Staging,Production">
        <link rel="stylesheet" href="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" />
        <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" />
    </environment>
    @Html.Raw(JavaScriptSnippet.FullScript)

    @RenderSection("styles", required: false)

</head>
<body>
    <nav class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a asp-area="" asp-controller="Home" asp-action="Index" class="navbar-brand">Početna</a>
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    @* Janko in *@
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            Zid
                            <span class="caret"></span>
                        </a>
                        
                        <ul class="dropdown-menu">
                            <li><a asp-area="" asp-controller="Zidovi" asp-action="Index">Zidovi</a></li>
                            <li><a asp-area="" asp-controller="ProgramAktivan" asp-action="Index">Aktivni programi</a></li>
                            <li><a asp-area="" asp-controller="Segment" asp-action="Index">Segmenti</a></li>
                            <li><a asp-area="" asp-controller="SadrzajNaSegmentu" asp-action="Index">Sadrzaji po segmentima</a></li>
                        </ul>
                    </li>
                    @* Janko out :D *@
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            Uređaji
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a asp-area="" asp-controller="Uredaj" asp-action="Index">Uređaji</a></li>
                            <li><a asp-area="" asp-controller="Komponenta" asp-action="Index">Komponente</a></li>
                            <li><a asp-area="" asp-controller="TipKomponente" asp-action="Index">Tip Komponente</a></li>
                            <li><a asp-area="" asp-controller="VrstaUredaja" asp-action="Index">Vrsta uređaja</a></li>
                        </ul>
                    </li>
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            Servisi
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a asp-area="" asp-controller="Servis" asp-action="Index">Servisi</a></li>
                            <li><a asp-area="" asp-controller="Serviser" asp-action="Index">Serviseri</a></li>
                        </ul>
                    </li>
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            Sadržaji
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a asp-area="" asp-controller="Sadrzaj" asp-action="Index">Sadržaji</a></li>
                            <li><a asp-area="" asp-controller="Format" asp-action="Index">Formati</a></li>
                            <li><a asp-area="" asp-controller="VrstaSadrzaja" asp-action="Index">Vrste sadržaja</a></li>
                            <li><a asp-area="" asp-controller="UlogaOsobe" asp-action="Index">Uloge osoba</a></li>
                            <li><a asp-area="" asp-controller="Osoba" asp-action="Index">Osobe</a></li>
                            <li><a asp-area="" asp-controller="VrstaUloge" asp-action="Index">Vrste uloga</a></li>
                        </ul>
                    </li>
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            Programi
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a asp-area="" asp-controller="Program" asp-action="Index">Program</a></li>
                            <li><a asp-area="" asp-controller="TipProgramas" asp-action="Index">Tip programa</a></li>
                            <li><a asp-area="" asp-controller="PovijestPrikazivanjas" asp-action="Index">Povijest prikazivanja</a></li>
                            <li><a asp-area="" asp-controller="PovijestInstanciPrikazivanjas" asp-action="Index">Povijest instanci prikazivanja</a></li>
                            <li><a asp-area="" asp-controller="SadrzajPrograma" asp-action="Index">Sadrzaj programa</a></li>

                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; 2017 - RPPP projekt: <i>FERZid</i> <br />
            Autori: Andrija Perušić, Borna Skukan, Janko Šalković, Juraj Primorac, Matija Vukić<br />
            Grupa: RPPP08</p>
        </footer>
    </div>

    <environment names="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.js"></script>
        <script src="~/js/site.js" asp-append-version="true"></script>
    </environment>
    <environment names="Staging,Production">
        <script src="https://ajax.aspnetcdn.com/ajax/jquery/jquery-2.2.0.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha384-K+ctZQ+LL8q6tP7I94W+qzQsfRV2a+AfHIi9k8z8l9ggpc8X+Ytst4yBo/hH+8Fk">
        </script>
        <script src="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/bootstrap.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa">
        </script>
        <script src="~/js/site.min.js" asp-append-version="true"></script>
        
        @*Alert window za brisanje*@
        <script src="~/js/site.js" asp-append-version="true"></script>

    </environment>

    @RenderSection("Scripts", required: false)
</body>
</html>
